const SUBJECT: &str = "bet.beteran.ss.site";

pub const SUBJECT_CREATE_SITE: &str = const_format::concatcp!(SUBJECT, ".CreateSite");
pub const SUBJECT_LIST_SITES: &str = const_format::concatcp!(SUBJECT, ".ListSites");
pub const SUBJECT_GET_SITE: &str = const_format::concatcp!(SUBJECT, ".GetSite");
pub const SUBJECT_UPDATE_SITE: &str = const_format::concatcp!(SUBJECT, ".UpdateSite");
pub const SUBJECT_DELETE_SITE: &str = const_format::concatcp!(SUBJECT, ".DeleteSite");


/// subject = bet.beteran.ss.site.CreateSite;
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateSiteRequest {
    #[prost(message, optional, tag="1")]
    pub client: ::core::option::Option<crate::models::core::network::Client>,
    #[prost(message, optional, tag="2")]
    pub request: ::core::option::Option<create_site_request::Request>,
}
/// Nested message and enum types in `CreateSiteRequest`.
pub mod create_site_request {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Request {
        #[prost(string, tag="1")]
        pub url: ::prost::alloc::string::String,
        #[prost(string, optional, tag="2")]
        pub name: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(string, optional, tag="3")]
        pub path: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(bool, tag="4")]
        pub show: bool,
        #[prost(bool, tag="5")]
        pub can_use: bool,
        #[prost(string, optional, tag="6")]
        pub memo: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(uint64, optional, tag="7")]
        pub expires_at: ::core::option::Option<u64>,
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateSiteResponse {
    #[prost(message, optional, tag="1")]
    pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
    #[prost(message, optional, tag="2")]
    pub result: ::core::option::Option<create_site_response::Result>,
}
/// Nested message and enum types in `CreateSiteResponse`.
pub mod create_site_response {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Result {
        #[prost(message, optional, tag="1")]
        pub site: ::core::option::Option<crate::models::site::Site>,
    }
}
/// subject = bet.beteran.ss.site.ListSites;
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListSitesRequest {
    #[prost(message, optional, tag="1")]
    pub client: ::core::option::Option<crate::models::core::network::Client>,
    #[prost(message, optional, tag="2")]
    pub request: ::core::option::Option<list_sites_request::Request>,
}
/// Nested message and enum types in `ListSitesRequest`.
pub mod list_sites_request {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Request {
        #[prost(message, optional, tag="1")]
        pub pagination: ::core::option::Option<crate::protobuf::pagination::Pagination>,
        #[prost(message, repeated, tag="2")]
        pub sorts: ::prost::alloc::vec::Vec<crate::protobuf::pagination::Sort>,
        #[prost(message, optional, tag="3")]
        pub search: ::core::option::Option<request::Search>,
    }
    /// Nested message and enum types in `Request`.
    pub mod request {
        #[derive(Clone, PartialEq, ::prost::Message)]
        pub struct Search {
            #[prost(string, optional, tag="1")]
            pub url_like: ::core::option::Option<::prost::alloc::string::String>,
            #[prost(string, optional, tag="2")]
            pub name_like: ::core::option::Option<::prost::alloc::string::String>,
            #[prost(string, optional, tag="3")]
            pub path_like: ::core::option::Option<::prost::alloc::string::String>,
            #[prost(bool, optional, tag="4")]
            pub show: ::core::option::Option<bool>,
            #[prost(bool, optional, tag="5")]
            pub can_use: ::core::option::Option<bool>,
            #[prost(string, optional, tag="6")]
            pub memo_like: ::core::option::Option<::prost::alloc::string::String>,
        }
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListSitesResponse {
    #[prost(message, optional, tag="1")]
    pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
    #[prost(message, optional, tag="2")]
    pub result: ::core::option::Option<list_sites_response::Result>,
}
/// Nested message and enum types in `ListSitesResponse`.
pub mod list_sites_response {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Result {
        #[prost(message, repeated, tag="1")]
        pub sites: ::prost::alloc::vec::Vec<crate::models::site::Site>,
    }
}
/// subject = bet.beteran.ss.site.GetSite
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetSiteRequest {
    #[prost(message, optional, tag="1")]
    pub client: ::core::option::Option<crate::models::core::network::Client>,
    #[prost(message, optional, tag="2")]
    pub request: ::core::option::Option<get_site_request::Request>,
}
/// Nested message and enum types in `GetSiteRequest`.
pub mod get_site_request {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Request {
        #[prost(string, tag="1")]
        pub id: ::prost::alloc::string::String,
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetSiteResponse {
    #[prost(message, optional, tag="1")]
    pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
    #[prost(message, optional, tag="2")]
    pub result: ::core::option::Option<get_site_response::Result>,
}
/// Nested message and enum types in `GetSiteResponse`.
pub mod get_site_response {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Result {
        #[prost(message, optional, tag="1")]
        pub site: ::core::option::Option<crate::models::site::Site>,
    }
}
/// subject = bet.beteran.ss.site.UpdateSite
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateSiteRequest {
    #[prost(message, optional, tag="1")]
    pub client: ::core::option::Option<crate::models::core::network::Client>,
    #[prost(message, optional, tag="2")]
    pub request: ::core::option::Option<update_site_request::Request>,
}
/// Nested message and enum types in `UpdateSiteRequest`.
pub mod update_site_request {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Request {
        #[prost(string, tag="1")]
        pub id: ::prost::alloc::string::String,
        #[prost(string, tag="2")]
        pub url: ::prost::alloc::string::String,
        #[prost(string, optional, tag="3")]
        pub name: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(string, optional, tag="4")]
        pub path: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(bool, tag="5")]
        pub show: bool,
        #[prost(bool, tag="6")]
        pub can_use: bool,
        #[prost(string, optional, tag="7")]
        pub memo: ::core::option::Option<::prost::alloc::string::String>,
        #[prost(uint64, optional, tag="8")]
        pub expires_at: ::core::option::Option<u64>,
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateSiteResponse {
    #[prost(message, optional, tag="1")]
    pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
    #[prost(message, optional, tag="2")]
    pub result: ::core::option::Option<update_site_response::Result>,
}
/// Nested message and enum types in `UpdateSiteResponse`.
pub mod update_site_response {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Result {
        #[prost(message, optional, tag="1")]
        pub site: ::core::option::Option<crate::models::site::Site>,
    }
}
/// subject = bet.beteran.ss.site.DeleteSite
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteSiteRequest {
    #[prost(message, optional, tag="1")]
    pub client: ::core::option::Option<crate::models::core::network::Client>,
    #[prost(message, optional, tag="2")]
    pub request: ::core::option::Option<delete_site_request::Request>,
}
/// Nested message and enum types in `DeleteSiteRequest`.
pub mod delete_site_request {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Request {
        #[prost(string, tag="1")]
        pub id: ::prost::alloc::string::String,
    }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteSiteResponse {
    #[prost(message, optional, tag="1")]
    pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
    #[prost(message, optional, tag="2")]
    pub result: ::core::option::Option<delete_site_response::Result>,
}
/// Nested message and enum types in `DeleteSiteResponse`.
pub mod delete_site_response {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Result {
    }
}
